require_relative 'player'

module StudioGame
  class BerserkPlayer < Player
  
    def initialize(name, health = 100)
      super(name, health)
      @times_w00ted = 0
    end
  
    def berserk?
      @times_w00ted > 5
    end
  
    def w00t
      super
      @times_w00ted += 1
      puts "#{@name} is berserk!" if berserk?
    end
  
    def blam
      berserk? ? w00t : super
    end
  end

  if __FILE__ == $0
    berserker =  BerserkPlayer.new("beserker", 50)
    6.times { berserker.w00t }
    2.times { berserker.blam }
    puts berserker.health
  end
end
